using Azure;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AipGateway.API.Domain.Entities
{
    [Table("TB_AIP_PROTECTION")]
    public class TbAipProtection
    {
        [Key]
        [DatabaseGeneratedAttribute(DatabaseGeneratedOption.Identity)]
        public int ProtectionId { get; set; }

        [StringLength(255)]
        public string ProtectionGuid { get; set; }

        [StringLength(255)]
        public string ProtectionName { get; set; }

        [DatabaseGenerated(DatabaseGeneratedOption.Computed)]
        public DateTime CreatedAt { get; set; } = DateTime.Now;
        public bool UseYn { get; set; }
        
        [StringLength(512)]
        public string? ProtectionDesc { get; set; }
        public DateTime? DeletedAt { get; set; }

        public override string ToString()
        {
            return "TbAipProtection{ ProtectionId: " + ProtectionId + ", ProtectionGuid: " + ProtectionGuid + ", ProtectionName: " + ProtectionName + ", CreatedAt: " + CreatedAt + "}";
        }
    }
}
